Summary: Filesystem benchmark similar to Netbench
Name: dbench
Version: 4.0
Release: %mkrel 13
Source: https://samba.org/ftp/tridge/dbench/%{name}-%{version}.tar.gz
License: GPLv3+
URL: https://samba.org/ftp/tridge/dbench/README
Group: System/Kernel and hardware
BuildRequires: pkgconfig(popt)
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
dbench is a filesystem benchmark that generates load patterns similar
to those of the commercial Netbench benchmark, but without requiring
a lab of Windows load generators to run. It is now considered a de-facto
standard for generating load on the Linux VFS.

%prep
%setup -q

%build
./autogen.sh
%configure --datadir=/usr/share/dbench
%make_build CC="cc %ldflags"

%install
# FIXME: use %%makeinstall
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/%{name}
install -c -m 0755 dbench %{buildroot}%{_bindir}/dbench
install -c -m 0755 tbench %{buildroot}%{_bindir}/tbench
install -c -m 0755 tbench_srv %{buildroot}%{_bindir}/tbench_srv
install -c -m 0644 dbench.1 %{buildroot}%{_mandir}/man1/dbench.1
install -c -m 0644 client.txt %{buildroot}%{_datadir}/%{name}/client.txt
cd %{buildroot}%{_mandir}/man1/
ln -sf dbench.1 tbench.1
ln -sf dbench.1 tbench_srv.1
cd -

%files
%doc COPYING INSTALL README
%attr(755,root,root) %{_bindir}/dbench
%attr(755,root,root) %{_bindir}/tbench
%attr(755,root,root) %{_bindir}/tbench_srv
%attr(644,root,root) %{_mandir}/man1/dbench.1.*
%attr(644,root,root) %{_mandir}/man1/tbench.1.*
%attr(644,root,root) %{_mandir}/man1/tbench_srv.1.*
%attr(644,root,root) %{_datadir}/%{name}/client.txt




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 4.0-13.mga10
+ Revision: 2195770
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 4.0-12.mga9
+ Revision: 1793227
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 4.0-11.mga8
+ Revision: 1511816
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.0-10.mga7
+ Revision: 1297409
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Thu Feb 11 2016 umeabot <umeabot> 4.0-8.mga6
+ Revision: 953661
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 4.0-7.mga6
+ Revision: 879800
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 4.0-6.mga6
+ Revision: 875034
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 4.0-5.mga5
+ Revision: 750947
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 umeabot <umeabot> 4.0-4.mga5
+ Revision: 693119
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.0-3.mga4
+ Revision: 503794
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.0-2.mga3
+ Revision: 348628
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 4.0-1.mga1
+ Revision: 62820
- imported package dbench


* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 4.0-1mdv2011.0
+ Revision: 571916
- use configure2_5x

* Wed Jun 10 2009 Jérôme Brenier <incubusss@mandriva.org> 4.0-1mdv2010.0
+ Revision: 384596
- add BR : libpopt-devel
- update to new version 4.0
- execute autogen.sh
- clean spec file
- fix license

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 3.04-5mdv2009.0
+ Revision: 243963
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 3.04-3mdv2008.1
+ Revision: 170794
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.04-2mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 16 2007 Andreas Hasenack <andreas@mandriva.com> 3.04-2mdv2007.1
+ Revision: 13499
- Import dbench



* Thu Mar 30 2006 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 3.04-1mdk
- first package
